package Aspect::Pointcut::AndOp;

use strict;
use warnings;
use Carp;
use Aspect::Pointcut::BinOp ();

our $VERSION = '0.24';
our @ISA     = 'Aspect::Pointcut::BinOp';

sub binop { $_[1] && $_[2] }

1;

__END__

=pod

=head1 NAME

Aspect::Pointcut::AndOp - Logical 'and' operation pointcut

=head1 SYNOPSIS

    Aspect::Pointcut::AndOp->new;

=head1 DESCRIPTION

None yet.

=head1 BUGS AND LIMITATIONS

No bugs have been reported.

Please report any bugs or feature requests through the web interface at
L<http://rt.cpan.org>.

=head1 INSTALLATION

See perlmodinstall for information and options on installing Perl modules.

=head1 AVAILABILITY

The latest version of this module is available from the Comprehensive Perl
Archive Network (CPAN). Visit <http://www.perl.com/CPAN/> to find a CPAN
site near you. Or see <http://www.perl.com/CPAN/authors/id/M/MA/MARCEL/>.

=head1 AUTHORS

Marcel GrE<uuml>nauer, C<< <marcel@cpan.org> >>

Ran Eilam C<< <eilara@cpan.org> >>

=head1 COPYRIGHT AND LICENSE

Copyright 2001 by Marcel GrE<uuml>nauer

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself.

=cut

